Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.client.dialogs
Class HostPort

    java.lang.Object
      gecco.client.dialogs.HostPort

public class HostPort
extends Object

A struct containing a hostname and a port.

Author:
  Oskar Linde, Andreas Enblom

Field Summary
`String` | `host` Description of the Field
`int` | `port` Description of the Field

Constructor Summary
`HostPort()` Constructor for the HostPort object
`HostPort(HostPort hostPort)` Constructor for the HostPort object
`HostPort(String host, int port)` Constructor for the HostPort object

Method Summary
`String` | `getHost()` Gets the Host attribute of the HostPort object
`int` | `getPort()` Gets the Port attribute of the HostPort object
`void` | `setHost(String s)` Sets the Host attribute of the HostPort object
`void` | `setPort(int i)` Sets the Port attribute of the HostPort object
`String` | `toString()` Description of the Method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### host

    public String host

  Description of the Field

### port

    public int port

  Description of the Field

Constructor Detail

### HostPort

    public HostPort()

  Constructor for the HostPort object

### HostPort

    public HostPort(String host,
                    int port)

  Constructor for the HostPort object

Parameters:
  `host` - Description of Parameter
  `port` - Description of Parameter

### HostPort

    public HostPort(HostPort hostPort)

  Constructor for the HostPort object

Parameters:
  `hostPort` - Description of Parameter

Method Detail

### setHost

    public void setHost(String s)

  Sets the Host attribute of the HostPort object

  Parameters:
    `s` - The new Host value

### setPort

    public void setPort(int i)

  Sets the Port attribute of the HostPort object

  Parameters:
    `i` - The new Port value

### getHost

    public String getHost()

  Gets the Host attribute of the HostPort object

  Returns:
    The Host value

### getPort

    public int getPort()

  Gets the Port attribute of the HostPort object

  Returns:
    The Port value

### toString

    public String toString()

  Description of the Method

  Returns:
    Description of the Returned Value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD